#!/usr/bin/env python


import sys, os

if not os.environ.get('INSTANCE_HOME'):
    print 'INSTANCE_HOME not set'
    sys.exit(-1)

if not os.environ.get('ZOPE_HOME'):
    print 'ZOPE_HOME not set'
    sys.exit(-1)

os.environ['ZOPE_SECURITY_POLICY'] = 'PYTHON'
os.environ['EVENT_LOG_FILE'] = './run_event.log'
os.environ['STUPID_LOG_SEVERITY'] = '-300'

sys.path.insert(0,os.environ['ZOPE_HOME'] + '/lib/python')
sys.path.insert(0,os.environ['INSTANCE_HOME'])

import Zope
Zope.startup()

from Products.SilvaReferenceChecker.tests.test_all import main

if __name__=='__main__':
    main()

